<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * AutotweetControllerTumblrChannels
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetControllerTumblrChannels extends F0FController
{
	/**
	 * getCallbackUrl.
	 *
	 * @param   int     $channelId  Param
	 * @param   string  $callback   Param
	 *
	 * @return	string
	 */
	public static function getCallbackUrl($channelId, $callback = 'callback')
	{
		return JUri::base() . 'index.php?option=com_autotweet&_token=' . JFactory::getSession()->getFormToken();
	}

	/**
	 * callback.
	 *
	 * @return	void
	 */
	public function callback()
	{
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		try
		{
			// $channelId = $this->input->getUint('channelId');

			$session = JFactory::getSession();
			$channelId = $session->get('channelId');

			// Invalidating
			$session->set('channelId', false);

			$oauth_token = $this->input->getString('oauth_token');
			$oauth_verifier = $this->input->getString('oauth_verifier');

			// Error throw
			if ( (!empty($oauth_token)) && (!empty($oauth_verifier)) )
			{
				$channel = F0FTable::getAnInstance('Channel', 'AutoTweetTable');
				$result = $channel->load($channelId);

				if (!$result)
				{
					throw new Exception(JText::_('COM_AUTOTWEET_CHANNEL_NOTLOADED'));
				}

				$tumblrChannelHelper = new TumblrChannelHelper($channel);
				$tumblrChannelHelper->authenticate($oauth_token, $oauth_verifier);

				// Redirect
				$url = 'index.php?option=com_autotweet&view=channels&task=edit&id=' . $channelId;
				$this->setRedirect($url);
				$this->redirect();
			}
		}
		catch (Exception $e)
		{
			$logger = AutotweetLogger::getInstance();
			$logger->log(JLog::ERROR, $e->getMessage());

			throw $e;
		}
	}
}
