<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
<div id="agendas" ng-controller="AgendaController as agendaCtrl">
<?php

$agendas = '';
$document = JFactory::getDocument();
$document->addScriptDeclaration("var agendasToLoad = '{$agendas}';");

$now = JFactory::getDate()->toUnix();
$now = $now - ($now % 60) + 5 * 60;
$now = JFactory::getDate($now)->format(JText::_('COM_AUTOTWEET_DATE_FORMAT'));
list($date, $time) = EParameter::getDateTimeParts($now);

$control1 = EHtml::datePickerField(
	$now,
	'scheduling_date',
	'scheduling_date',
	array(
		'ng-model' => 'agendaCtrl.scheduling_date_value',

		// 'field-class' => 'span8',
		'class' => 'span6'
	)
);

$control2 = EHtml::timePickerField(
	$now,
	'scheduling_time',
	'scheduling_time',
	array(
		'ng-model' => 'agendaCtrl.scheduling_time_value',

		// 'field-class' => 'span8',
		'class' => 'span6'
	)
);

echo EHtml::genericControl(
		'COM_AUTOTWEET_VIEW_ITEMEDITOR_SCHEDULER',
		'COM_AUTOTWEET_VIEW_ITEMEDITOR_SCHEDULER_DESC',
		'scheduling_date_d',
		$control1
	);

echo EHtml::genericControl(
		'',
		'',
		'scheduling_date_m',
		$control2
);

?>

<div class="control-group ">
		<div class="controls">
			<div class="span4">
				<a class="btn btn-info addbutton" ng-click="agendaCtrl.add()"><i class="xticon xticon-plus"></i> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_ADD_AGENDA'); ?></a>
			</div>
			<div class="span7">
			<?php echo AutoTweetDefaultView::showWorldClockLink(); ?>
		</div>
		</div>
	</div>

	<legend>
	<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_AGENDA'); ?>
	</legend>

	<table class="table table-bordered">
		<thead>
			<tr>
				<th class="title"><?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_DATE'); ?></th>
				<th><?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_TIME'); ?></th>
				<th></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="3"></td>
			</tr>
		</tfoot>
		<tbody id="agendalist">
			<tr ng-repeat="agenda in agendaCtrl.agendas">
				<td>{{ agenda.agendaDate }}</td>
				<td>{{ agenda.agendaTime }}</td>
				<td><a class="destroy" ng-click="agendaCtrl.remove(agenda)"><i class="xticon xticon-trash-o"></i></a></td>
				<input type="hidden" value="{{ agenda.agendaDate }} {{ agenda.agendaTime }}:00" name="agenda[]">
			</tr>
		</tbody>
	</table>

</div>
