<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

$root = JUri::root();

?>
<div ng-app="starter" class="extly ng-cloak">
	<div class="extly-body">
		<div class="row-fluid">

			<div class="span12">

				<h4>
					<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_TITLE'); ?>
					<span class="loaderspinner">&nbsp;</span>

					<img src="<?php echo $root; ?>media/com_autotweet/images/autotweet-logo.png" class="pull-right">
				</h4>

				<form name="itemEditorForm" id="itemEditorForm" action="#" method="post" class="form form-horizontal form-validate"
					ng-controller="ItemEditorController as itemEditorCtrl">

					<div class="row-fluid" ng-if="itemEditorCtrl.showDialog">
						<div class="span10 alert alert-block alert-error">
							<div>{{itemEditorCtrl.messageText}}</div>
						</div>
					</div>

					<div class="row-fluid">
						<ul class="nav nav-tabs" id="itemEditorTabs">
							<li><a data-toggle="tab" href="#msg-tab"
									data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_MSG_DESC'); ?>" rel="tooltip">
								<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_MSG_ICON');
									?> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_MSG'); ?></a></li>
							<li><a data-toggle="tab" href="#basic-tab"
									data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_BASIC_DESC'); ?>" rel="tooltip">
								<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_BASIC_ICON');
									?> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_BASIC'); ?></a></li>
							<li><a data-toggle="tab" href="#channelchooser-tab"
									data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_CHANNELCHOOSER_DESC'); ?>" rel="tooltip">
								<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_CHANNELCHOOSER_ICON');
									?> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_CHANNELCHOOSER'); ?></a></li>
							<li><a data-toggle="tab" href="#scheduler-tab"
									data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_SCHEDULER_DESC'); ?>" rel="tooltip">
								<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_SCHEDULER_ICON');
									?> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_SCHEDULER'); ?></a></li>
							<li><a data-toggle="tab" href="#repeat-tab"
									data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_REPEAT_DESC'); ?>" rel="tooltip">
								<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_REPEAT_ICON');
									?> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_REPEAT'); ?></a></li>
							<li><a data-toggle="tab" href="#imagechooser-tab"
									data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_IMGCHOOSER_DESC'); ?>" rel="tooltip">
								<?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_IMGCHOOSER_ICON');
									?> <?php echo JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_IMGCHOOSER'); ?></a></li>
						</ul>

						<div class="tab-content" id="itemEditorTabsContent">
<?php
							echo '<div id="msg-tab" class="xt-tab-pane" ng-controller="MessageController as messageCtrl">';
							echo JLayoutHelper::render('autotweet.field.description', null, JPATH_AUTOTWEET_LAYOUTS);
							echo JLayoutHelper::render('joocial.field.hashtags', null, JPATH_AUTOTWEET_LAYOUTS);

							$attrs = array('controller' => 'itemEditorCtrl');
							echo JLayoutHelper::render('joocial.field.fulltext', $attrs, JPATH_AUTOTWEET_LAYOUTS);

							echo '</div><div id="basic-tab" class="xt-tab-pane">';
							echo JLayoutHelper::render('joocial.field.postthis', null, JPATH_AUTOTWEET_LAYOUTS);
							echo JLayoutHelper::render('joocial.field.evergreen', null, JPATH_AUTOTWEET_LAYOUTS);

							echo '</div><div id="channelchooser-tab" class="xt-tab-pane">';
							echo JLayoutHelper::render('joocial.field.channels', $attrs, JPATH_AUTOTWEET_LAYOUTS);

							echo '</div><div id="scheduler-tab" class="xt-tab-pane">';
							echo JLayoutHelper::render('joocial.field.scheduler', null, JPATH_AUTOTWEET_LAYOUTS);

							echo '</div><div id="repeat-tab" class="tab-pane fade shortcuts-tab">';

							$attrs = array(
								'controller' => 'itemEditorCtrl',
								'classes' => array(
									'class' => 'span8',
									'field-class' => 'span6'
								)
							);
							echo JLayoutHelper::render('joocial.field.repeat', $attrs, JPATH_AUTOTWEET_LAYOUTS);

							echo '</div><div id="imagechooser-tab" class="xt-tab-pane">';
							echo JLayoutHelper::render('joocial.field.imagepicker', null, JPATH_AUTOTWEET_LAYOUTS);

							$attrs = array('controller' => 'itemEditorCtrl');
							echo JLayoutHelper::render('autotweet.field.image', $attrs, JPATH_AUTOTWEET_LAYOUTS);

							echo '</div>';

?>
						</div>

						<p class="text-center">
							<a class="btn btn-info itemEditorSubmit" ng-click="itemEditorCtrl.onSubmit()"><?php echo JText::_('JSUBMIT'); ?></a>
						</p>
					</div>

				</form>

			</div>

		</div>
	</div>
</div>
