<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

F0FModel::getTmpInstance('Plugins', 'AutoTweetModel');

$result = array();

if ($count = count($this->items))
{
	foreach ($this->items as $item)
	{
		$advancedAttr = AdvancedattrsHelper::getAdvancedAttrByReq($item->id);
		$native_object = json_decode($item->native_object);
		$has_error = ((isset($native_object->error)) && ($native_object->error));

		$description = htmlentities($item->description, ENT_COMPAT, 'UTF-8');
		$description = TextUtil::truncString($description, AutotweetDefaultView::MAX_CHARS_TITLE_SHORT_SCREEN, true);
		$description = html_entity_decode($description);

		$elem = array(
			'id' => $item->id,
			'title' => $description,
			'start' => JHtml::_('date', $item->publish_up, DateTime::RFC3339),
			'className' => ($item->published ?
					($has_error ?  'req-error' : 'req-success') :
					($has_error ? 'req-warning' : 'req-info'))
		);

		/*
		if (!empty($item->url))
		{
			$elem['url'] = TextUtil::renderUrl($item->url);
		}
		*/

		$elem['url'] = 'index.php?option=com_autotweet&view=composer&req-id=' . $item->id;

		if (!empty($item->image_url))
		{
			$elem['image_url'] = TextUtil::renderUrl($item->image_url);
		}

		$result[] = $elem;

		// Agenda
		if ( (isset($advancedAttr->agenda)) && (!empty($advancedAttr->agenda)) )
		{
			foreach ($advancedAttr->agenda as $next_date)
			{
				if ($next_date == $item->publish_up)
				{
					continue;
				}

				$elem['start'] = JHtml::_('date', $next_date, DateTime::RFC3339);
				$result[] = $elem;
			}
		}

		// Repeats
		if ((isset($advancedAttr->unix_mhdmd)) && (!empty($advancedAttr->unix_mhdmd)))
		{
			$repeat_until = null;

			if (isset($advancedAttr->repeat_until))
			{
				$repeat_until = $advancedAttr->repeat_until;
			}

			$dates = AdvancedattrsHelper::getRepeatPublishUpDates($advancedAttr->unix_mhdmd, $repeat_until);

			foreach ($dates as $next_date)
			{
				if ($next_date == $item->publish_up)
				{
					continue;
				}

				$elem['start'] = JHtml::_('date', $next_date, DateTime::RFC3339);
				$result[] = $elem;
			}
		}
	}
}

// VirtualManager Evergreens
$vm = VirtualManager::getInstance();
$dates = $vm->getPublishUpDates();

if (!empty($dates))
{
	foreach ($dates as $next_date)
	{
		$elem = array(
				'id' => 0,
				'title' => JText::_('COM_AUTOTWEET_VIEW_ITEMEDITOR_EVERGREEN'),
				'start' => JHtml::_('date', $next_date, DateTime::RFC3339),
				'className' => 'req-info'
		);
		$result[] = $elem;
	}
}

echo json_encode($result);
