<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$channeltypeId = $this->input->get('channeltype_id', AutotweetModelChanneltypes::TYPE_SCOOPIT_CHANNEL, 'cmd');

$accessTokenEncoded = htmlentities($accessToken);
$accessTokenSecretEncoded = htmlentities($accessTokenSecret);

$profile = $scoopitChannelHelper->profile();
$topic_name = null;
$topic_id = null;

if ( (isset($profile->user->curatedTopics)) && (count($profile->user->curatedTopics) > 0) )
{
	$curatedTopic = $profile->user->curatedTopics[0];
	$topic_name = $curatedTopic->name;
	$topic_id = $curatedTopic->id;
}

?>

<div id="validationGroup" class=" <?php echo $validationGroupStyle; ?>">

	<div class="control-group">

		<label class="control-label">

		<a class="btn btn-info" id="scoopitvalidationbutton"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_VALIDATEBUTTON'); ?></a>&nbsp;

		</label>

		<div id="validation-notchecked" class="controls">
			<span class="lead"><i class="xticon xticon-question-circle"></i> </span><span class="loaderspinner">&nbsp;</span>
		</div>

		<div id="validation-success" class="controls" style="display: none">
			<span class="lead"><i class="xticon xticon-check"></i> <?php echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_SUCCESS'); ?></span><span class="loaderspinner">&nbsp;</span>
		</div>

		<div id="validation-error" class="controls" style="display: none">
			<span class="lead"><i class="xticon xticon-exclamation"></i> <?php echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_ERROR'); ?></span><span class="loaderspinner">&nbsp;</span>
		</div>

	</div>

	<div id="validation-errormsg" class="alert alert-block alert-error" style="display: none">
		<button type="button" class="close" data-dismiss="alert">&times;</button>
		<div id="validation-theerrormsg">
			<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_MSG'); ?>
		</div>
	</div>

	<div class="control-group alert alert-info">
		<label class="required control-label" for="xtform[topic_id]" id="topic_id-lbl" data-original-title="<?php
			echo JText::_('COM_AUTOTWEET_CHANNEL_SCOOPIT_TOPICID_DESC'); ?>" rel="tooltip"><?php
			echo JText::_('COM_AUTOTWEET_CHANNEL_SCOOPIT_TOPICID'); ?> <span class="star">&nbsp;*</span>
		</label>

		<div class="controls" style="margin-bottom: 9px;">
			<div class="input-append">
				<input name="xtform[search]" id="search_topic" type="text" class="span8" value="<?php echo $this->item->xtform->get('search', $topic_name); ?>">
				<a id="submit_topic_search" class="btn" type="submit"><?php
			echo JText::_('JSEARCH_FILTER'); ?></a>
			</div>
		</div>
		<div class="controls" style="margin-bottom: 9px;">
			<select name="topic_select_id" id="topic_select_id">
			</select>
		</div>
		<div class="controls">
			<input type="text" value="<?php echo $this->item->xtform->get('topic_id', $topic_id); ?>" id="topic_id"
			name="xtform[topic_id]" class="required span9 validate-numeric" required="required">
		</div>
	</div>

	<div class="control-group">
		<label class="required control-label" for="access_token" id="access_token-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_SCOOPIT_ACCESS_TOKEN'); ?> <span class="star">&nbsp;*</span>
		</label>
		<div class="controls">
			<input type="text" maxlength="255" size="64" value="<?php echo $accessTokenEncoded; ?>" id="access_token" name="xtform[access_token]" readonly="readonly" class="required" required="required">
		</div>
	</div>

	<div class="control-group">
		<label class="required control-label" for="access_secret" id="access_secret-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_SCOOPIT_ACCESS_SECRET'); ?> <span class="star">&nbsp;*</span>
		</label>
		<div class="controls">
			<input type="password" maxlength="255" size="64" value="<?php echo $accessTokenSecretEncoded; ?>" id="access_secret" name="xtform[access_secret]" readonly="readonly" class="required" required="required">
		</div>
	</div>

	<div class="control-group">
		<label class="required control-label" for="raw_user_id" id="user_id-lbl"><?php echo JText::_('COM_AUTOTWEET_CHANNEL_GPLUS_USERID_TITLE'); ?> <span class="star">&nbsp;*</span>
		</label>
		<div class="controls">
			<input type="text" maxlength="255" size="64" value="<?php echo $userId; ?>" id="raw_user_id" name="xtform[user_id]" readonly="readonly" class="required" required="required">
<?php

		require dirname(__FILE__) . '/../../channel/tmpl/social_url.php';

?>
		</div>
	</div>

</div>
