<?php
/**
 * @version     2.1.0
 * @package     com_cloudbackup
 * @copyright   Copyright (C) 2012 - 2013. Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://bhartiy.com
 *
 * CloudBackup is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * CloudBackup is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CloudBackup; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * or see http://www.gnu.org/licenses/.
**/

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

/**
 * Config controller class.
 */
class CloudbackupControllerConfig extends JControllerForm
{

    function __construct() {
        $this->view_list = 'backups';		// Change to backup list view
        parent::__construct();
    }
	
	function gDrive()
	{
		$app = JFactory::getApplication();
		$app->redirect( JRoute::_('index.php?option=com_cloudbackup&task=config.edit&id=1', false) );
	}
	
	function dropBox()
	{
		$app = JFactory::getApplication();
		$app->redirect( JRoute::_('index.php?option=com_cloudbackup&task=config.edit&id=2', false) );
	}
	
	function getAuthCode()
	{
		$app	= JFactory::getApplication();
		$form	= JRequest::getVar('jform', array(), 'array');
		
		if(empty($form['client_id']) || empty($form['client_secret']))
		{
			JError::raiseWarning(505, JText::_('COM_CLOUDBACKUP_MUST_FILL_CLIENTID_AND_SECRET'));
			$app->setUserState('com_cloudbackup.edit.config.data', $form);
			$app->redirect( JRoute::_('index.php?option=com_cloudbackup&task=config.edit', false));
			return true;
		}
		
		$app->setUserState('com_cloudbackup.edit.config.data', $form);
		
		// Now need to receive the authcode from Google, redirect
		$redirect_uri  = JUri::getInstance()->toString(array('scheme', 'host', 'port'));
		$redirect_uri .= JRoute::_('index.php?option=com_cloudbackup&task=config.receivetoken', false);
		$scopes = array(
					'https://www.googleapis.com/auth/drive',
					'https://www.googleapis.com/auth/userinfo.email',
				);
		$url = 	'https://accounts.google.com/o/oauth2/auth?'.
				'state=code&'.
				'response_type=code&'.
				'scope='.urlencode( implode(' ', $scopes) ). '&'.
				'redirect_uri='. urlencode($redirect_uri) . '&'.
				'client_id='. urlencode($form['client_id']) .'&'.
				'approval_prompt=force&'.
				'access_type=offline';
		$app->redirect($url);
	}
	
	function receiveToken()
	{
		$app	= JFactory::getApplication();
		$state	= JRequest::getVar('state');
		switch($state)
		{
			case 'code':
				$code = JRequest::getVar('code');
				if(empty($code)) {
					JError::raiseWarning(505, JText::_('COM_CLOUDBACKUP_ERROR_AUTHCODE'));
					break;	// No more processing
				}
				$form = $app->getUserState('com_cloudbackup.edit.config.data');
				$gCodes = array(
							'client_id' => $form['client_id'],
							'client_secret' => $form['client_secret'],
							'authcode' => $code,
						);
				$token  = CloudbackupHelper::getRefreshToken($gCodes);
				if($token !== false) {
					$form['refresh_token'] = $token;
					$app->setUserState('com_cloudbackup.edit.config.data', $form);
				}
				break;
			default:
		}
		$app->redirect( JRoute::_('index.php?option=com_cloudbackup&view=config&layout=edit&id='.$form['id'], false));
	}

}