<?php
/**
 * @package     Accusoft.PrizmImage
 * @subpackage  com_prizmimage
 *
 * @copyright   Copyright (C) 2013 - 2015 Accusoft Corporation, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Check the version of Joomla
$jver = new JVersion;
if ( substr($jver->getShortVersion(), 0, 3) != '2.5' ) {
   JHtml::_('bootstrap.tooltip');
}
$user = JFactory::getUser();
$params = new JRegistry;
// Use the right dispatcher for the version of Joomla
if ( substr($jver->getShortVersion(), 0, 3) == '2.5' ) {
    $dispatcher	= JDispatcher::getInstance();
}
else {
    $dispatcher	= JEventDispatcher::getInstance();
}
$dispatcher->trigger('onContentBeforeDisplay', array('com_prizmimage.file', &$this->_tmp_img, &$params));
?>
		<tr>
			<td>
				<a class="img-preview" href="<?php echo COM_MEDIA_BASEURL.'/'.$this->_tmp_img->path_relative; ?>" title="<?php echo $this->_tmp_img->name; ?>"><?php echo JHtml::_('image', COM_MEDIA_BASEURL.'/'.$this->_tmp_img->path_relative, JText::sprintf('COM_PRIZMIMAGE_IMAGE_TITLE', $this->_tmp_img->title, JHtml::_('number.bytes', $this->_tmp_img->size)), array('width' => $this->_tmp_img->width_16, 'height' => $this->_tmp_img->height_16)); ?></a>
			</td>
			<td class="description">
				<a href="<?php echo  COM_MEDIA_BASEURL.'/'.$this->_tmp_img->path_relative; ?>" title="<?php echo $this->_tmp_img->name; ?>" rel="preview"><?php echo $this->escape($this->_tmp_img->title); ?></a>
			</td>
			<td class="dimensions">
				<?php echo JText::sprintf('COM_PRIZMIMAGE_IMAGE_DIMENSIONS', $this->_tmp_img->width, $this->_tmp_img->height); ?>
			</td>
			<td class="filesize">
				<?php echo JHtml::_('number.bytes', $this->_tmp_img->originalSize); ?>
			</td>
   			<td class="filesize">
				<?php echo JHtml::_('number.bytes', $this->_tmp_img->size); ?>
			</td>
   			<td class="filesize">
				<?php 
                    if ($this->_tmp_img->processed)
                    {
                        if($this->_tmp_img->status == 0)
                        {
                            $savings = $this->_tmp_img->originalSize - $this->_tmp_img->size;
                            if ($savings != 0)
                            {
                                $percent_savings = ($savings/$this->_tmp_img->originalSize)*100;
                                echo JText::sprintf('COM_PRIZMIMAGE_FILESIZE_SAVINGS_PERCENT', $percent_savings);
                                $str_savings = JHtml::_('number.bytes', abs($savings));
                                $sign = '';
                                if ($savings < 0)
                                    $sign = '-';                                    
                                echo ' (' . $sign . $str_savings . ')';                            
                            }
                            else
                                echo JText::_('COM_PRIZMIMAGE_FILESIZE_SAVINGS_NONE');
                        }
                        else
                        {
                            echo JText::_('COM_PRIZMIMAGE_FILE_HAS_ERROR');
                        }
                    }
                    else
                    {
                        echo JText::_('COM_PRIZMIMAGE_FILE_NOTPROCESSED');
                    }
                ?>
			</td>

		<?php if ($user->authorise('core.edit', 'com_prizmimage')):?>
			<td>
				<input type="checkbox" name="rd[]" value="<?php echo $this->_tmp_img->name; ?>" />
			</td>
		<?php endif;?>
		</tr>
<?php
$dispatcher->trigger('onContentAfterDisplay', array('com_prizmimage.file', &$this->_tmp_img, &$params));
?>
