/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 *
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/**
 * Services that persists and retrieves Agendas from localStorage
 */
angular.module('starter.agenda-service', [])
.factory('Agenda', function() {
		'use strict';

		var STORAGE_ID = 'agendas-autotweet',
			_this = this;
		
		_this.get = function () {
			return JSON.parse(localStorage.getItem(STORAGE_ID) || '[]');
		};
		
		_this.put = function (todos) {
			localStorage.setItem(STORAGE_ID, JSON.stringify(todos));
		};
		
		_this.clear = function () {				
			this.put([]);
		};
		
		return {
			get: _this.get,
			put: _this.put,	
			clear: _this.clear
		};

});
