/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 *
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

define('manager', [], function() {
	"use strict";

	jQuery('#managerTabs a:first').tab('show');

	var ManagerView = Backbone.View.extend({

		events : {
			'click .works7x24 a' : 'onChangeWorks7x24'
		},

		initialize : function() {
			this.onChangeWorks7x24();
		},

		onChangeWorks7x24: function(event) {
			var value = this.$('#xtformsave_works7x24').val();
			if (
					// Not an event, real value
					((!event) && (value === "1"))

					// Event, not processed yet, so inverse value
					|| ((event) && (value === "0"))
				) {
				this.$('.group-works7x24').fadeOut();
			} else {
				this.$('.group-works7x24').fadeIn();
			}
		}

	});

	var managerView = new ManagerView({
		el : jQuery('#adminForm')
	});

});



