var MetaRobots = new Class({
    Implements:[Options],
    options:{
        id:null,
        global:null,
        allowdefault:null
    },
    robots:null,
    initialize:function(options){
        var self = this;
        self.setOptions(options);  
        self.robots = document.id(self.options.id);
        if(typeOf(self.robots) != 'null') self.createElements();
    },
    createElements:function(){
        var self = this;
        if(self.options.allowdefault) self.useDefault();
        self.createInputs(['follow','nofollow'],'radio');
        self.createInputs(['index','noindex'],'radio');
        self.createInputs(['noarchive','nosnippet','noodp','noydir','noimageindex','notranslate','unavailableafter'],'checkbox');
        if(self.options.allowdefault && self.robots.value.length == 0) {
            self.disableAll();
        }
    },
    createInputs:function(fields,type) {
        var self = this;
        var fieldname = 'plg_system_metarobots_' + fields.join('');
        var current = self.robots.value.split(', ');
        var fieldset = new Element('fieldset',{'class':'radio'}).inject(self.robots,'before');
        fields.each(function(field){
            var label = new Element('label',{'for':fieldname+field,'html':field}).inject(fieldset,'top');
            var input = new Element('input',{'id':fieldname+field,'name':fieldname,'type':type,'class':'metarobots','value':field,'checked':current.contains(field)}).inject(label,'before');
            input.addEvent('click',function(){ self.updateRobots(); });
        });
    },
    updateRobots:function(){
        var self = this;
        var robots = [];
        $$('.metarobots').each(function(el){
            if(el.checked) robots[robots.length]=el.value;
        });
        if(robots.equalTo(self.options.global)) {
            self.robots.value = '';
        } else {
            self.robots.value = robots.join(', ');
        }
    },
    useDefault:function() {
        var self = this;
        var fieldset = new Element('fieldset',{'class':'radio'}).inject(self.robots,'before');
        var checked = false;
        if(self.robots.value.length == 0) {
            checked = true;
        }
        var label = new Element('label',{'for':'metarobotsdefault','html':'Use Global','class':'metarobotsdefault'}).inject(fieldset,'top');
        var checkbox = new Element('input',{'id':'metarobotsdefault','name':'default','type':'checkbox','class':'metarobotsdefault','value':'default','checked':checked}).inject(label,'before');
        checkbox.addEvent('click',function(){
            if(this.checked) {
                self.disableAll();
            } else {
                self.enableAll();
            }
            self.updateRobots();
        });
    },
    disableAll:function() {
        $$('.metarobots').each(function(el){
            el.checked = false;
            el.disabled=true;
        });
    },
    enableAll:function() {
        var self = this;
        $$('.metarobots').each(function(el){
            if(self.options.global.contains(el.value)) el.checked = true;
            el.disabled=false;
        });
    }
});

Array.implement({
    equalTo: function(arr){
        if(this.length !== arr.length) return false;
        for(var i = this.length - 1; i >= 0; i--) if(this[i] !== arr[i]) return false;
        return true;
    }
});

window.addEvent('domready',function(){
    var mr = new MetaRobots(window.plg_system_metarobots_options);
})
