var SessionKeeperWarning = new Class({
    Implements:[Options],
    options:{
        messagetype:'js',
        timeout:0,
        warning:0,
        redirect:'',
        strings:{},
        dimension:{'x':400,'y':300},
        keepalivelight:false,
        path:''
    },
    timer:false,
    expired:false,
    initialize: function(options) { 
        this.setOptions(options);
        this.setTimer();
    },
    displayWarning:function(){
        var self = this;
        switch(self.options.messagetype) {
            case 'js':
                if(confirm(self.options.strings.message)) self.keepaliveRequest();
                break;
            case 'modal':
                self.modalMessage();
                break;
        }
    },
    displayExpired:function(){
        var self = this;
        switch(self.options.messagetype){
            case 'js':
                alert(self.options.strings.expired);
                if(self.options.redirect != '') {
                    window.location.href = self.options.redirect;
                }
                break;
            case 'modal':
                SqueezeBox.close();
                self.modalExpired();
                break;
        }
    },
    modalMessage:function(){ 
        var self = this;
        var c = new Element('div');
        var ctitle = new Element('h1',{'html':self.options.strings.title}).inject(c,'bottom');
        var cmessage = new Element('p',{'html':self.options.strings.message,'class':'message'}).inject(c,'bottom');
        var ccounter = new Element('p',{'styles':{'text-align':'center'}}).inject(c,'bottom');
        coundown = new CountDown({
            date: new Date(new Date().getTime() + (self.options.warning * 60000)),
            frequency: 100,
            onChange: function(counter) {
                var text = '';
                if(self.options.warning >= 60) {
                    text += (counter.hours >= 10 ? '' : '0') + counter.hours + ':';
                }
                var zero = (self.options.warning >=10)?'0':'';
                text += (counter.minutes >= 10 ? '' : zero) + counter.minutes + ':';
                text += (counter.second >= 10 ? '' : '0') + counter.second;
                ccounter.set('html', text);
            },
            onComplete: function () {
                ccounter.set('html','');
                self.closeSqueezeBox();
            }
        });
        var crescue = new Element('button',{'html':self.options.strings.rescue}).inject(c,'bottom');
        crescue.addEvent('click',function(){ self.keepaliveRequest(); self.setTimer(); self.closeSqueezeBox();});
        var cabandon = new Element('button',{'html':self.options.strings.abandon}).inject(c,'bottom');
        cabandon.addEvent('click',function(){ self.closeSqueezeBox();});
        SqueezeBox.initialize();
        SqueezeBox.open(c,self.modalOptions('sessionkeepermessage',false));
        document.id('sbox-btn-close').setStyle('display','none');
        if(Browser.ie6 || Browser.ie7) {  // IE sucks
            document.id('sbox-window').show();
        }
    },
    modalExpired:function(){
        var self = this;
        var c = new Element('div'); 
        var ctitle = new Element('h1',{'html':self.options.strings.expiredtitle}).inject(c,'bottom');
        var cmessage = new Element('p',{'html':self.options.strings.expired,'class':'message'}).inject(c,'bottom');
        SqueezeBox.initialize();
        SqueezeBox.open(c,self.modalOptions('sessionkeeperexpired',true));
        document.id('sbox-btn-close').setStyle('display','');
        if(Browser.ie6 || Browser.ie7) {  // IE sucks
            document.id('sbox-window').show();
        }
        if(self.options.redirect != '') {
            SqueezeBox.addEvent('onClose',function(){
                window.location.href = self.options.redirect;
            });
        }
    },
    modalOptions:function(windowClass,windowClosable){
        var self = this;
        var modaloptions = {
            handler: 'adopt',
            classWindow: windowClass,
            closable: windowClosable,
            closeBtn: windowClosable,
            size: {
                x:self.options.dimension.x,
                y:self.options.dimension.y
            }
        };
        return modaloptions;
    },
    closeSqueezeBox:function(){
        SqueezeBox.close();
        if(Browser.ie6 || Browser.ie7) { // mostly for IE7 - but IE6 just in case
            if($$('.sessionkeepermessage').length) {
                document.id('sbox-window').hide();
            }
        }
    },
    keepaliveRequest:function(){
        var self = this;
        var myAjax;
        if(self.options.keepalivelight) {
            myAjax = new Request({method: "get", url: self.options.path, onSuccess: function(){self.setTimer();}}).send("option=com_keepalivelight&tmpl=component");
        } else {
            myAjax = new Request({method: "get", url: self.options.path, onSuccess: function(){self.setTimer();}}).send();
        }           
    },
    setTimer:function(){
        var self = this;
        self.timer = self.displayWarning.delay(((self.options.timeout - self.options.warning)*60000),self);
        if(self.expired !== false) {
            clearTimeout(self.expired);
            self.expired = false;
        }
        self.expired = self.displayExpired.delay((self.options.timeout*60000)+2000,self);
    }
});
window.addEvent('domready',function(){
    var skw = new SessionKeeperWarning(window.sessionkeeper_config);
});