<?php

/**
 * Wrapper FormField
 * @package roosterz.nl
 * @Copyright (C) 2014 roosterz.nl
 * @ All rights reserved
 * @ Joomla! is Free Software
 * @ Released under GNU/GPL v3.0 License : http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JFormFieldRH_Wrapper extends JFormField
{
    public $type = 'Wrapper';
    private $params = null;

    protected function getLabel()
    {
        return '';
    }

    protected function getInput()
    {
        $this->params = $this->element->attributes();

        $title = $this->get('label');
        $class = $this->get('class');

        $start = $this->get('start', 0);
        $end = $this->get('end', 0);

        $html = array();

        if (substr(JVERSION,0,1) == "2") // Joomla 2.5
        {
            if ($start)
            {
                $html[] = '<div id="rh_wrapper_outer" class="rh_wrapper_padding"><div id="rh_wrapper" class="'  . $class . '">';
                $html[] = '
                    <header class="rh_header">
                        <nav class="rh_navbar">
                            <div class="rh_navbar-header bg-darker">
                                <a class="rh_navbar-icon rh_text-brand">
                                    <span class="rh_icon_text">ampz</span>
                                </a>
                            </div>
                            <a href="http://www.roosterz.nl" target="_blank" id="rh_logo_full" class="rh_logo fadeInTopBig animated_slow"></a>
                            <div id="rh_stay_up_to_date">
                                <a class="twitter-follow-button" href="https://twitter.com/roosterznl" data-show-count="true" data-lang="en">Follow @roosterznl</a>
                                <iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2Froosterznl&amp;width&amp;layout=button_count&amp;action=like&amp;show_faces=false&amp;share=false&amp;height=21&amp;appId=289303551204896" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:21px; width: 120px; float: right; margin-top: 21px;" allowTransparency="true" class="facebook-like-button"></iframe>
                                <div class="rh_up_to_date"></div>
                            </div>
                        </nav>
                    </header>';
                $html[] = '<div id="rh_wrapper_sides" class="rh_tabs" >';
                $html[] = '<ul class="adminformlist"><li>';
            }
            if ($end)
            {
                $html[] = '<div style="clear: both;"></div></li></ul>';
                $html[] = '<div style="clear: both;"></div>';
                $html[] = '</div></div></div>';
            }

            return implode('', $html);
        }
        else if (substr(JVERSION,0,1) == "3") // Joomla 3.x
        {
            if ($start)
            {
                $html[] = '</div>';
                $html[] = '<div id="rh_wrapper_outer"><div id="rh_wrapper" class="'  . $class . '">';
                $html[] = '
                    <header class="rh_header">
                        <nav class="rh_navbar">
                            <div class="rh_navbar-header bg-darker">
                                <a class="rh_navbar-icon rh_text-brand">
                                    <span class="rh_icon_text">ampz</span>
                                </a>
                            </div>
                            <a href="http://www.roosterz.nl" target="_blank" id="rh_logo_full" class="rh_logo fadeInTopBig animated_slow"></a>
                            <div id="rh_stay_up_to_date">
                                <a class="twitter-follow-button" href="https://twitter.com/roosterznl" data-show-count="true" data-lang="en">Follow @roosterznl</a>
                                <iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2Froosterznl&amp;width&amp;layout=button_count&amp;action=like&amp;show_faces=false&amp;share=false&amp;height=21&amp;appId=289303551204896" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:21px; width: 120px; float: right; margin-top: 21px;" allowTransparency="true" class="facebook-like-button"></iframe>
                                <div class="rh_up_to_date"></div>
                            </div>
                        </nav>
                    </header>';

                $html[] = '<div><div>';
            }
            if ($end)
            {
                $html[] = '</div></div></div><div><div>';
            }

            return '</div>' . implode('', $html);
        }

    }

    private function get($val, $default = '')
    {
        return (isset($this->params[$val]) && (string) $this->params[$val] != '') ? (string) $this->params[$val] : $default;
    }
}
